Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# VLCLineFinder_DeterministicApproach Class Reference

`#include <VLCLineFinder_DeterministicApproach.h>`

Collaboration diagram for VLCLineFinder_DeterministicApproach:

[legend]
List of all members.

## Public Types
enum | { maxNumberOfLines = 6, maxNumberOfLinePoints = 60, pointsNeededForLine = 3 }
## Public Member Functions
| VLCLineFinder_DeterministicApproach (const ColorCorrector &colorCorrector, const ColorTable &colorTable)
| ~VLCLineFinder_DeterministicApproach (void)
void | considerLinePoint (Vector2< int > &pointOnLine, Vector2< double > &normalToLine)
| Add a new LinePont for later consideration.
void | execute (LinesPercept &linesPercept, const CameraMatrix &cameraMatrix, const Image &image, const ImageInfo &imageInfo, const RobotPose &robotPose)
| Calculates lines and crossings out of the given LinePoints.
void | execute (LinesPercept &linesPercept, const CameraMatrix &cameraMatrix, const Image &image, const ImageInfo &imageInfo, const RobotPose &robotPose, const bool circleFound, const Vector2< double > &circleOnField)
| Calculates lines and crossings out of the given LinePoints considering given information about the center circle.
void | reset ()
| Resets the lineFinder.
int | getNumberOfLines ()
| Returns the number of found lines.
void | getLine (int number, Vector2< int > &pointOnLine, Vector2< double > &normalToLine)
| Returns the line by number.
void | setBestColorTable (ColorTable *newBestColorTable)
## Private Member Functions
void | findLineFragments ()
| Calculates line fragments out of the given LinePoints.
void | findLines (LinesPercept &linesPercept, const CameraMatrix &cameraMatrix, const Image &image, const ImageInfo &imageInfo)
| Calculates lines out of the previously calculated line fragments.
void | findIntersections (LinesPercept &linesPercept, const CameraMatrix &cameraMatrix, const Image &image, const RobotPose &robotPose, const ImageInfo &imageInfo)
| Calculates crossings out of the previously calculated lines.
void | addCrossingsPercept (const Vector2< double > &intersectionInImage, const Vector2< int > &intersectionOnField, int lineNumber1, int lineNumber2, LinesPercept &linesPercept, const Image &image, const ImageInfo &imageInfo, const CameraMatrix &cameraMatrix, const RobotPose &robotPose)
| Adds the crossing to the linesPercept including some characteristics found by additional scanning.
bool | handleCenterCircle (const CameraMatrix &cameraMatrix, const Image &image, const RobotPose &robotPose)
| Filters out some line fragments, that may be caused by a center circle.
bool | handleCenterCircle (const Vector2< double > &centerOnField, const CameraMatrix &cameraMatrix, const Image &image)
| Filters out line points belonging to the center circle.
void | addCenterCirclePercept (LinesPercept &linesPercept, const CameraMatrix &cameraMatrix, const Image &image)
| Writes the centerCircle (if found by one of the attempts) to the LinesPercept.
bool | linesPerpendicularOnField (int lineNumber1, int lineNumber2, const CameraMatrix &cameraMatrix, const Image &image)
| Very rough calculation if lines are perpendicular on the field (used for validating crossings).
bool | calculateLineOnField (int lineNumber, Vector2< double > &base, Vector2< double > &direction, const CameraMatrix &cameraMatrix, const Image &image)
| Calculates the projected line on the field.
bool | calculateLineOnField (const Vector2< int > &baseInImage, const Vector2< double > &directionInImage, Vector2< double > &baseOnField, Vector2< double > &directionOnField, const CameraMatrix &cameraMatrix, const Image &image)
| Calculates the projected line on the field.
void | doVerificationScan (const Vector2< double > &crossingPoint, const Vector2< double > &directionToScanAt, const Vector2< double > &scanningDirection, int lineSize, LinesPercept::CrossingCharacteristic &result, const CameraMatrix &cameraMatrix, const Image &image)
| Calculates the projected line on the field.
bool | doVerificationScanForCircle (const Vector2< int > &circleOnFieldRelative, double orientation, const CameraMatrix &cameraMatrix, const Image &image)
| Verifies if the found circle really is one.
## Private Attributes
int | numberOfLines
LineFragment * | lines
int | numberOfLineFragments
bool | lineFragmentAlreadyConsidered [maxNumberOfLines *2]
LineFragment * | lineFragments
Vector2< int > | fromCircleFinder
bool | foundByCircleFinder
Vector2< int > | fromOwnHandling
bool | foundByOwnHandling
double | centerCircleOrientation
Vector2< double > | lastSeenCircleGlobal
double | lastSeenCircleOrientationGlobal
int | framesSinceLastSeen
int | frameCount
int | circleCount
const ColorCorrector & | colorCorrector
const ColorTable & | colorTable
LinePoint | linePoints [maxNumberOfLinePoints]
int | numberOfLinePoints
double | normDistance
double | normProjection
double | normProjectionPerpendicularToHorizon
ColorTable * | bestColorTable

## Member Enumeration Documentation

anonymous enum

  | Enumeration values:
  maxNumberOfLines |
  maxNumberOfLinePoints |
  pointsNeededForLine |
Definition at line 87 of file VLCLineFinder_DeterministicApproach.h.

## Constructor & Destructor Documentation

VLCLineFinder_DeterministicApproach::VLCLineFinder_DeterministicApproach | ( | const ColorCorrector & | colorCorrector,
|  | const ColorTable & | colorTable
| ) |

| Definition at line 4 of file VLCLineFinder_DeterministicApproach.cpp.

VLCLineFinder_DeterministicApproach::~VLCLineFinder_DeterministicApproach | ( | void |  | ) |

| Definition at line 16 of file VLCLineFinder_DeterministicApproach.cpp.

## Member Function Documentation

void VLCLineFinder_DeterministicApproach::considerLinePoint | ( | Vector2< int > & | pointOnLine,
|  | Vector2< double > & | normalToLine
| ) |

  | Add a new LinePont for later consideration. Parameters:
  pointOnLine | Image coordinates of the point.
  normalToLine | Normal vector to the line (indicated by the gradient).
Definition at line 40 of file VLCLineFinder_DeterministicApproach.cpp. References VLCLineFinder_DeterministicApproach::LinePoint::belongsToLineNo, VLCLineFinder_DeterministicApproach::LinePoint::normalToLine, and VLCLineFinder_DeterministicApproach::LinePoint::pointOnLine. Referenced by VLCImageProcessor::calcEdgeAngle().

void VLCLineFinder_DeterministicApproach::execute | ( | LinesPercept & | linesPercept,
|  | const CameraMatrix & | cameraMatrix,
|  | const Image & | image,
|  | const ImageInfo & | imageInfo,
|  | const RobotPose & | robotPose
| ) |

  | Calculates lines and crossings out of the given LinePoints. Parameters:
  linesPercept | The LinesPercept, where the found information is stored.
  cameraMatrix | The CameraMatrix.
  image | The Image.
  imageInfo | The ImageInfo.
  robotPose | The RobotPose.
Definition at line 56 of file VLCLineFinder_DeterministicApproach.cpp. References addCenterCirclePercept(), DEBUG_DRAWING_FINISHED, findIntersections(), findLineFragments(), findLines(), and handleCenterCircle(). Referenced by VLCImageProcessor::execute().

Here is the call graph for this function:

void VLCLineFinder_DeterministicApproach::execute | ( | LinesPercept & | linesPercept,
|  | const CameraMatrix & | cameraMatrix,
|  | const Image & | image,
|  | const ImageInfo & | imageInfo,
|  | const RobotPose & | robotPose,
|  | const bool | circleFound,
|  | const Vector2< double > & | circleOnField
| ) |

  | Calculates lines and crossings out of the given LinePoints considering given information about the center circle. Parameters:
  linesPercept | The LinesPercept, where the found information is stored.
  cameraMatrix | The CameraMatrix.
  image | The Image.
  imageInfo | The ImageInfo.
  robotPose | The RobotPose.
  circleFound | True if the circle was found.
  circleOnField | The Coordinates of the center circle on the field relative to the robot.
Definition at line 77 of file VLCLineFinder_DeterministicApproach.cpp. References addCenterCirclePercept(), DEBUG_DRAWING_FINISHED, findIntersections(), findLineFragments(), findLines(), handleCenterCircle(), Vector2< V >::x, Vector2< int >::x, Vector2< V >::y, and Vector2< int >::y.

Here is the call graph for this function:

void VLCLineFinder_DeterministicApproach::reset | ( |  | ) |

| Resets the lineFinder. Definition at line 20 of file VLCLineFinder_DeterministicApproach.cpp. Referenced by VLCImageProcessor::execute().

int VLCLineFinder_DeterministicApproach::getNumberOfLines | ( |  | ) |

| Returns the number of found lines. Definition at line 1116 of file VLCLineFinder_DeterministicApproach.cpp.

void VLCLineFinder_DeterministicApproach::getLine | ( | int | number,
|  | Vector2< int > & | pointOnLine,
|  | Vector2< double > & | normalToLine
| ) |

  | Returns the line by number. Parameters:
  number | The number of the line to return.
  pointOnLine | The base of the line.
  normalToLine | The normal of the line.
Definition at line 1121 of file VLCLineFinder_DeterministicApproach.cpp. References VLCLineFinder_DeterministicApproach::LineFragment::base, VLCLineFinder_DeterministicApproach::LineFragment::normal, Vector2< double >::x, Vector2< int >::x, Vector2< V >::x, Vector2< double >::y, Vector2< int >::y, and Vector2< V >::y. Referenced by findLines().

void VLCLineFinder_DeterministicApproach::setBestColorTable | ( | ColorTable * | newBestColorTable | ) | `[inline]`

| Definition at line 91 of file VLCLineFinder_DeterministicApproach.h. Referenced by VLCImageProcessor::execute().

void VLCLineFinder_DeterministicApproach::findLineFragments | ( |  | ) | `[private]`

| Calculates line fragments out of the given LinePoints. Definition at line 114 of file VLCLineFinder_DeterministicApproach.cpp. References VLCLineFinder_DeterministicApproach::LineFragment::averageStep, VLCLineFinder_DeterministicApproach::LineFragment::base, VLCLineFinder_DeterministicApproach::LinePoint::belongsToLineNo, VLCLineFinder_DeterministicApproach::LineFragment::end, LINE, VLCLineFinder_DeterministicApproach::LineFragment::lineFragmentAlreadyConsidered, VLCLineFinder_DeterministicApproach::LineFragment::normal, Vector2< V >::normalize(), VLCLineFinder_DeterministicApproach::LinePoint::normalToLine, pi_4, Vector2< V >::rotateLeft(), VLCLineFinder_DeterministicApproach::LineFragment::start, Vector2< double >::x, Vector2< V >::x, and Vector2< V >::y. Referenced by execute().

Here is the call graph for this function:

void VLCLineFinder_DeterministicApproach::findLines | ( | LinesPercept & | linesPercept,
|  | const CameraMatrix & | cameraMatrix,
|  | const Image & | image,
|  | const ImageInfo & | imageInfo
| ) | `[private]`

  | Calculates lines out of the previously calculated line fragments. Parameters:
  linesPercept | The LinesPercept.
  cameraMatrix | The CameraMatrix.
  image | The Image.
  imageInfo | The ImageInfo.
Definition at line 270 of file VLCLineFinder_DeterministicApproach.cpp. References VLCLineFinder_DeterministicApproach::LineFragment::averageStep, VLCLineFinder_DeterministicApproach::LineFragment::base, Image::cameraInfo, Geometry::Line::direction, VLCLineFinder_DeterministicApproach::LineFragment::end, Geometry::getIntersectionPointsOfLineAndRectangle(), getLine(), ImageInfo::horizon, LINE, VLCLineFinder_DeterministicApproach::LineFragment::lineFragmentAlreadyConsidered, max, VLCLineFinder_DeterministicApproach::LineFragment::normal, Vector2< double >::normalize(), Vector2< V >::normalize(), pi_4, CameraInfo::resolutionHeight, CameraInfo::resolutionWidth, Vector2< double >::rotateLeft(), VLCLineFinder_DeterministicApproach::LineFragment::start, Vector2< int >::x, Vector2< V >::x, Vector2< double >::x, Vector2< int >::y, and Vector2< V >::y. Referenced by execute().

Here is the call graph for this function:

void VLCLineFinder_DeterministicApproach::findIntersections | ( | LinesPercept & | linesPercept,
|  | const CameraMatrix & | cameraMatrix,
|  | const Image & | image,
|  | const RobotPose & | robotPose,
|  | const ImageInfo & | imageInfo
| ) | `[private]`

  | Calculates crossings out of the previously calculated lines. Parameters:
  linesPercept | The LinesPercept.
  cameraMatrix | The CameraMatrix.
  image | The Image.
  robotPose | The RobotPose.
  imageInfo | The ImageInfo.
Definition at line 425 of file VLCLineFinder_DeterministicApproach.cpp. References Vector2< V >::abs(), addCrossingsPercept(), VLCLineFinder_DeterministicApproach::LineFragment::base, Geometry::calculatePointOnField(), Image::cameraInfo, direction, Geometry::getIntersectionOfLines(), linesPerpendicularOnField(), VLCLineFinder_DeterministicApproach::LineFragment::normal, Vector2< double >::normalize(), Geometry::relative2FieldCoord(), Vector2< double >::rotateLeft(), Vector2< double >::x, Vector2< V >::x, Vector2< double >::y, Vector2< int >::y, and Vector2< V >::y. Referenced by execute().

Here is the call graph for this function:

void VLCLineFinder_DeterministicApproach::addCrossingsPercept | ( | const Vector2< double > & | intersectionInImage,
|  | const Vector2< int > & | intersectionOnField,
|  | int | lineNumber1,
|  | int | lineNumber2,
|  | LinesPercept & | linesPercept,
|  | const Image & | image,
|  | const ImageInfo & | imageInfo,
|  | const CameraMatrix & | cameraMatrix,
|  | const RobotPose & | robotPose
| ) | `[private]`

  | Adds the crossing to the linesPercept including some characteristics found by additional scanning. Parameters:
  intersectionInImage | The intersection in the image.
  intersectionOnField | The intersection on the field.
  int | The first line involved in this crossing.
  int | The second line involved in this crossing.
  linesPercept | The LinesPercept.
  image | The Image.
  imageInfo | The ImageInfo.
  cameraMatrix | The CameraMatrix.
  robotPose | The RobotPose.
Definition at line 473 of file VLCLineFinder_DeterministicApproach.cpp. References Vector2< V >::abs(), calculateLineOnField(), Geometry::calculateLineSize(), Image::cameraInfo, CIRCLE, doVerificationScan(), LINE, LinesPercept::lineCrossings, LinesPercept::maxNumberOfLineCrossings, VLCLineFinder_DeterministicApproach::LineFragment::normal, Vector2< V >::normalize(), LinesPercept::numberOfLineCrossings, pi, pi2, pi3_2, pi_2, pi_4, Geometry::relative2FieldCoord(), CameraInfo::resolutionHeight, CameraInfo::resolutionWidth, Vector2< V >::rotateRight(), Pose2D::rotation, Vector2< V >::x, and Vector2< V >::y. Referenced by findIntersections().

Here is the call graph for this function:

bool VLCLineFinder_DeterministicApproach::handleCenterCircle | ( | const CameraMatrix & | cameraMatrix,
|  | const Image & | image,
|  | const RobotPose & | robotPose
| ) | `[private]`

  | Filters out some line fragments, that may be caused by a center circle. Do only use when no center detection available. Parameters:
  cameraMatrix | The CameraMatrix.
  image | The Image.
  robotPose | The RobotPose.
Returns: true if circle found. Definition at line 726 of file VLCLineFinder_DeterministicApproach.cpp. References Vector2< V >::abs(), Geometry::Line::base, calculateLineOnField(), Geometry::calculatePointInImage(), Geometry::calculatePointOnField(), Image::cameraInfo, CIRCLE, Geometry::Line::direction, doVerificationScanForCircle(), VLCLineFinder_DeterministicApproach::LineFragment::end, Geometry::getIntersectionOfLines(), LINE, VLCLineFinder_DeterministicApproach::LineFragment::lineFragmentAlreadyConsidered, VLCLineFinder_DeterministicApproach::LineFragment::numberOfPoints, pi_2, Geometry::relative2FieldCoord(), Vector2< double >::rotateLeft(), Pose2D::rotation, VLCLineFinder_DeterministicApproach::LineFragment::start, Vector2< int >::x, Vector2< double >::x, Vector2< V >::x, Vector2< double >::y, Vector2< V >::y, and Vector2< int >::y. Referenced by execute().

Here is the call graph for this function:

bool VLCLineFinder_DeterministicApproach::handleCenterCircle | ( | const Vector2< double > & | centerOnField,
|  | const CameraMatrix & | cameraMatrix,
|  | const Image & | image
| ) | `[private]`

  | Filters out line points belonging to the center circle. Parameters:
  centerOnField | The centerCircle found by the circleFinder.
  cameraMatrix | The CameraMatrix.
  image | The Image.
Returns: true. Definition at line 706 of file VLCLineFinder_DeterministicApproach.cpp. References VLCLineFinder_DeterministicApproach::LinePoint::belongsToLineNo, Geometry::calculatePointOnField(), Image::cameraInfo, VLCLineFinder_DeterministicApproach::LinePoint::pointOnLine, Vector2< V >::x, Vector2< int >::y, and Vector2< V >::y.

Here is the call graph for this function:

void VLCLineFinder_DeterministicApproach::addCenterCirclePercept | ( | LinesPercept & | linesPercept,
|  | const CameraMatrix & | cameraMatrix,
|  | const Image & | image
| ) | `[private]`

  | Writes the centerCircle (if found by one of the attempts) to the LinesPercept. Parameters:
  linesPercept | The LinesPercept.
  cameraMatrix | The CameraMatrix.
  image | The Image.
Definition at line 1067 of file VLCLineFinder_DeterministicApproach.cpp. References Geometry::Line::base, calculateLineOnField(), LinesPercept::centerCircle, LinesPercept::centerCircleFound, Geometry::Line::direction, pi_2, Vector2< double >::rotateLeft(), Vector2< double >::x, Vector2< int >::x, Vector2< double >::y, and Vector2< int >::y. Referenced by execute().

Here is the call graph for this function:

bool VLCLineFinder_DeterministicApproach::linesPerpendicularOnField | ( | int | lineNumber1,
|  | int | lineNumber2,
|  | const CameraMatrix & | cameraMatrix,
|  | const Image & | image
| ) | `[private]`

  | Very rough calculation if lines are perpendicular on the field (used for validating crossings). Parameters:
  lineNumber1 | Number of the 1st line.
  lineNumber2 | Number of the 2nd line.
  cameraMatrix | The CameraMatrix.
  image | The Image.
Returns: True if the lines are perpendicular. Definition at line 1130 of file VLCLineFinder_DeterministicApproach.cpp. References calculateLineOnField(). Referenced by findIntersections().

Here is the call graph for this function:

bool VLCLineFinder_DeterministicApproach::calculateLineOnField | ( | int | lineNumber,
|  | Vector2< double > & | base,
|  | Vector2< double > & | direction,
|  | const CameraMatrix & | cameraMatrix,
|  | const Image & | image
| ) | `[private]`

  | Calculates the projected line on the field. Parameters:
  lineNumber | Number of the line to be projected on the field.
  base | The resulting base.
  direction | The resulting direction.
  cameraMatrix | The CameraMatrix.
  image | The Image.
Returns: true if calculation was successful. Definition at line 1144 of file VLCLineFinder_DeterministicApproach.cpp. References VLCLineFinder_DeterministicApproach::LineFragment::base, Geometry::calculatePointOnField(), Image::cameraInfo, VLCLineFinder_DeterministicApproach::LineFragment::normal, Vector2< double >::normalize(), Vector2< double >::x, Vector2< V >::x, Vector2< V >::y, Vector2< double >::y, and Vector2< int >::y. Referenced by addCenterCirclePercept(), addCrossingsPercept(), handleCenterCircle(), and linesPerpendicularOnField().

Here is the call graph for this function:

bool VLCLineFinder_DeterministicApproach::calculateLineOnField | ( | const Vector2< int > & | baseInImage,
|  | const Vector2< double > & | directionInImage,
|  | Vector2< double > & | baseOnField,
|  | Vector2< double > & | directionOnField,
|  | const CameraMatrix & | cameraMatrix,
|  | const Image & | image
| ) | `[private]`

  | Calculates the projected line on the field. Parameters:
  baseInImage | The base in the image.
  directionInImage | The direction in the image.
  baseOnField | The resulting base.
  directionOnField | The resulting direction.
  cameraMatrix | The CameraMatrix.
  image | The Image.
Returns: true if calculation was successful. Definition at line 1162 of file VLCLineFinder_DeterministicApproach.cpp. References Geometry::calculatePointOnField(), Image::cameraInfo, Vector2< V >::normalize(), Vector2< V >::x, and Vector2< V >::y.

Here is the call graph for this function:

void VLCLineFinder_DeterministicApproach::doVerificationScan | ( | const Vector2< double > & | crossingPoint,
|  | const Vector2< double > & | directionToScanAt,
|  | const Vector2< double > & | scanningDirection,
|  | int | lineSize,
|  | LinesPercept::CrossingCharacteristic & | result,
|  | const CameraMatrix & | cameraMatrix,
|  | const Image & | image
| ) | `[private]`

  | Calculates the projected line on the field. Parameters:
  crossingPoint | The crossingPoint in the image.
  directionToScanAt | The direction in the image, on which side of the crossingPoint should be scanned.
  scanningDirection | The direction of the scan line (not always perpendicular because of perspectival distortion).
  lineSize | The size of a line at this position in the image.
  result | The result of the scan.
  cameraMatrix | The CameraMatrix.
  image | The Image.
Definition at line 1179 of file VLCLineFinder_DeterministicApproach.cpp. References Image::cameraInfo, COLOR_CLASS, ColorCorrector::correct(), BresenhamLineScan::getNext(), Image::image, LINE, max, CameraInfo::resolutionHeight, CameraInfo::resolutionWidth, Vector2< V >::x, and Vector2< V >::y. Referenced by addCrossingsPercept().

Here is the call graph for this function:

bool VLCLineFinder_DeterministicApproach::doVerificationScanForCircle | ( | const Vector2< int > & | circleOnFieldRelative,
|  | double | orientation,
|  | const CameraMatrix & | cameraMatrix,
|  | const Image & | image
| ) | `[private]`

  | Verifies if the found circle really is one. Parameters:
  circleOnFieldRelative | The coordinates of the circle on the field.
  orientation | The orientation of the middle line through the circle.
  cameraMatrix | The CameraMatrix.
  image | The Image.
Returns: true if nothing is found that proves the candidate not to be a circle. Definition at line 1317 of file VLCLineFinder_DeterministicApproach.cpp. References Geometry::calculatePointInImage(), Image::cameraInfo, COLOR_CLASS, ColorCorrector::correct(), BresenhamLineScan::getNext(), Image::image, LINE, max, normalize(), BresenhamLineScan::numberOfPixels, pi, pi_2, CameraInfo::resolutionHeight, CameraInfo::resolutionWidth, Vector2< V >::x, and Vector2< V >::y. Referenced by handleCenterCircle().

Here is the call graph for this function:

## Member Data Documentation

int VLCLineFinder_DeterministicApproach::numberOfLines`[private]`

| Definition at line 292 of file VLCLineFinder_DeterministicApproach.h.

LineFragment* VLCLineFinder_DeterministicApproach::lines`[private]`

| Definition at line 294 of file VLCLineFinder_DeterministicApproach.h.

int VLCLineFinder_DeterministicApproach::numberOfLineFragments`[private]`

| Definition at line 299 of file VLCLineFinder_DeterministicApproach.h.

bool VLCLineFinder_DeterministicApproach::lineFragmentAlreadyConsidered[maxNumberOfLines*2]`[private]`

| Definition at line 300 of file VLCLineFinder_DeterministicApproach.h.

LineFragment* VLCLineFinder_DeterministicApproach::lineFragments`[private]`

| Definition at line 302 of file VLCLineFinder_DeterministicApproach.h.

Vector2<int> VLCLineFinder_DeterministicApproach::fromCircleFinder`[private]`

| Definition at line 306 of file VLCLineFinder_DeterministicApproach.h.

bool VLCLineFinder_DeterministicApproach::foundByCircleFinder`[private]`

| Definition at line 307 of file VLCLineFinder_DeterministicApproach.h.

Vector2<int> VLCLineFinder_DeterministicApproach::fromOwnHandling`[private]`

| Definition at line 308 of file VLCLineFinder_DeterministicApproach.h.

bool VLCLineFinder_DeterministicApproach::foundByOwnHandling`[private]`

| Definition at line 309 of file VLCLineFinder_DeterministicApproach.h.

double VLCLineFinder_DeterministicApproach::centerCircleOrientation`[private]`

| Definition at line 310 of file VLCLineFinder_DeterministicApproach.h.

Vector2<double> VLCLineFinder_DeterministicApproach::lastSeenCircleGlobal`[private]`

| Definition at line 311 of file VLCLineFinder_DeterministicApproach.h.

double VLCLineFinder_DeterministicApproach::lastSeenCircleOrientationGlobal`[private]`

| Definition at line 312 of file VLCLineFinder_DeterministicApproach.h.

int VLCLineFinder_DeterministicApproach::framesSinceLastSeen`[private]`

| Definition at line 313 of file VLCLineFinder_DeterministicApproach.h.

int VLCLineFinder_DeterministicApproach::frameCount`[private]`

| Definition at line 314 of file VLCLineFinder_DeterministicApproach.h.

int VLCLineFinder_DeterministicApproach::circleCount`[private]`

| Definition at line 314 of file VLCLineFinder_DeterministicApproach.h.

const ColorCorrector& VLCLineFinder_DeterministicApproach::colorCorrector`[private]`

| Definition at line 317 of file VLCLineFinder_DeterministicApproach.h.

const ColorTable& VLCLineFinder_DeterministicApproach::colorTable`[private]`

| Definition at line 318 of file VLCLineFinder_DeterministicApproach.h.

LinePoint VLCLineFinder_DeterministicApproach::linePoints[maxNumberOfLinePoints]`[private]`

| Definition at line 319 of file VLCLineFinder_DeterministicApproach.h.

int VLCLineFinder_DeterministicApproach::numberOfLinePoints`[private]`

| Definition at line 320 of file VLCLineFinder_DeterministicApproach.h.

double VLCLineFinder_DeterministicApproach::normDistance`[private]`

| Definition at line 321 of file VLCLineFinder_DeterministicApproach.h.

double VLCLineFinder_DeterministicApproach::normProjection`[private]`

| Definition at line 322 of file VLCLineFinder_DeterministicApproach.h.

double VLCLineFinder_DeterministicApproach::normProjectionPerpendicularToHorizon`[private]`

| Definition at line 323 of file VLCLineFinder_DeterministicApproach.h.

ColorTable* VLCLineFinder_DeterministicApproach::bestColorTable`[private]`

| Definition at line 327 of file VLCLineFinder_DeterministicApproach.h.

The documentation for this class was generated from the following files:

- Modules/ImageProcessor/VLCImageProcessor/VLCLineFinder_DeterministicApproach.h
- Modules/ImageProcessor/VLCImageProcessor/VLCLineFinder_DeterministicApproach.cpp